package com.otk.application.error;

/**
 * This class represents a normal error that is expected to occur sometimes.
 * 
 * @author olitank
 *
 */
public class StandardError extends AbstractApplicationError {

	private static final long serialVersionUID = 1L;

	public StandardError(String message, Throwable cause) {
		super(message, cause);
	}

	public StandardError(String message) {
		super(message);
	}

	@Override
	public String toString() {
		return getMessage();
	}

}
