package com.otk.application.image.filter;

import javax.swing.JPanel;

import com.otk.application.translation.T;
import com.otk.application.window.component.crud.ICrudItemControlListener;

public class ResetComposition extends AbstractFilter {

	@Override
	public String getCaption() {
		return T.t(
				"Reset composition (any previous composition function like chroma key, color/region discrimination/privilege, ... will be discarded from this element)");
	}

	@Override
	protected void createFieldControls(JPanel panel, ICrudItemControlListener listener) {
	}

	@Override
	protected FilteringContext doExecute(FilteringContext context) {
		return context.withoutImageCompositionFunction();
	}

	@Override
	public Category getCategory() {
		return Category.FILTER_COMPOSER;
	}

}
