package com.otk.application.image.printer;

import javax.print.PrintService;
import javax.print.event.PrintJobEvent;
import javax.print.event.PrintJobListener;

import com.otk.application.error.StandardError;

public class DefaultPrintingStrategy extends PrintingStrategy {

	public DefaultPrintingStrategy(PrintingManager printingManager) {
		super(printingManager);
	}

	@Override
	public void handlePrintjobStartEvent() throws StandardError {
		// nothing
	}

	@Override
	public void handlePrintJobNoMoreEvents(PrintJobListener printJobListener, PrintJobEvent paramPrintJobEvent) {
		// nothing
	}

	@Override
	public void handlePrintJobErrorEvent(Throwable t) {
		// nothing
	}

	@Override
	public void handlePrintingTerminationEvent() {
		// nothing
	}

	@Override
	public void handlePrintJobStopEvent() throws StandardError {
		// nothing
	}

	@Override
	public void handleEnvironmentSetupEvent() {
		// nothing
	}

	@Override
	public void handleEnvironmentCleanupEvent() {
		// nothing
	}

	@Override
	public void handlePrintingInitializationEvent() {
		// nothing
	}

	@Override
	public PrintService getTestFakePrintService() {
		return null;
	}

}
