package com.otk.application.translation;

public class T {

	public static final Object TRANSLATION_CHANGE_MUTEX = new Object();

	public final static ITranslationHandler NO_TRANSLATION_HANDLER = new ITranslationHandler() {

		@Override
		public String translate(String s) {
			return s;
		}

		@Override
		public String translateOverridable(String s) {
			return s;
		}
	};

	private static ITranslationHandler translationHandler = NO_TRANSLATION_HANDLER;

	public static ITranslationHandler getTranslationHandler() {
		return translationHandler;
	}

	public static void setTranslationHandler(ITranslationHandler translationHandler) {
		T.translationHandler = translationHandler;
	}

	public static String t(String s) {
		return translationHandler.translate(s);
	}

	public static String to(String s) {
		return translationHandler.translateOverridable(s);
	}

	public interface ITranslationHandler {

		String translate(String s);

		String translateOverridable(String s);

	}

}
